# DisableAdminIPLimiter - (c) 2018 Curlybracket, Inc. All Rights Reserved.
# This code cannot be redistributed without permission from curlybracket.co.jp
# For more information, consult your DisableAdminIPLimiter license.
#
package DisableAdminIPLimiter;

use strict;
use MT::Plugin;
use utf8;
use base qw( MT::Plugin );
use MT;

our $PLUGIN_NAME = 'DisableAdminIPLimiter';
our $VERSION = '1.00';

my $plugin = DisableAdminIPLimiter->new({
    id => 'disableadminiplimiter',
    key => __PACKAGE__,
    name => $PLUGIN_NAME,
    version => $VERSION,
    description => "<__trans phrase='This plugin disables AdminIPLimiter.'>",
    author_name => 'Curlybracket, Inc.',
    author_link => 'https://www.curlybracket.co.jp',
    registry => {
        config_settings => {
            DisableAdminIPLimiter => {
                default => 1,
            },
        },
    },
});

MT->add_plugin($plugin);

1;
__END__

